baz_peak_detector.h File Reference
`#include <gnuradio/sync_block.h>`
Include dependency graph for baz_peak_detector.h:

Go to the source code of this file.

## Classes

class | baz_peak_detector
| square2 a stream of floats. More...

## Functions

BAZ_API baz_peak_detector_sptr | baz_make_peak_detector (float min_diff=0.0, int min_len=1, int lockout=0, float drop=0.0, float alpha=1.0, int look_ahead=0, bool byte_output=false, bool verbose=false)
| Return a shared_ptr to a new instance of baz_peak_detector.

## Variables

class BAZ_API | baz_peak_detector

## Function Documentation

## baz_make_peak_detector()

BAZ_API baz_peak_detector_sptr baz_make_peak_detector | ( | float | min_diff = `0.0`,
|  | int | min_len = `1`,
|  | int | lockout = `0`,
|  | float | drop = `0.0`,
|  | float | alpha = `1.0`,
|  | int | look_ahead = `0`,
|  | bool | byte_output = `false`,
|  | bool | verbose = `false`
| ) |  |

Return a shared_ptr to a new instance of baz_peak_detector.

To avoid accidental use of raw pointers, baz_peak_detector's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

## Variable Documentation

## baz_peak_detector

class BAZ_API baz_peak_detector